Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163751 - fc2 crashes due to delay.h bug
Summary: fc2 crashes due to delay.h bug
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: kernel
Version: fc2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-20 20:05 UTC by deepfreeze
Modified: 2007-04-18 17:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-26 05:36:56 UTC


Attachments (Terms of Use)

Description deepfreeze 2005-07-20 20:05:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461)

Description of problem:
./include/linux/delay.h of the kernel source causes FC2 under i386/amd athlon/others? to crash (in the compiled/running kernel) after changing the .config HZ value (make menuconfig) to a power of 2 (e.g. 4096).

changing line 31 (in mdelay)
from:   unsigned long __ms=(n);
to:     unsigned long __ms=((n*5)>>2);

should fix the problem.


Note: this problem came up during kernel development and requires several other source code changes to reproduce.  






Version-Release number of selected component (if applicable):
kernel-2.6.10-1.771_FC2

How reproducible:
Always

Steps to Reproduce:
1. see Note in description
2. try higher power of 2 .config HZ values
3. easier to discover with GL apps (e.g. NVIDIA/quake arena)
  

Additional info:

Comment 1 Dave Jones 2005-07-26 00:04:55 UTC
I imagine the legacy folks reaction to this will likely be "don't do that then",
or "if you change something, you get to fix the fallout", but reassigning anyway..


Comment 2 Pekka Savola 2005-07-26 05:36:56 UTC
Yeah.. :-(  We definitely don't have resources to fix this bug as it doesn't
appear in default installs and isn't security-related, so closing as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.